<script>
  export let resources
  export let homeworkId
  export let groupId
</script>

{#if resources.length > 0}
  <div
    class="h-32 py-1 w-full overflow-x-auto overflow-y-hidden -moz-scroll-thin
    whitespace-no-wrap"
  >
    {#each resources as resource, index}
      <img
        src={resource}
        class="inline-block mr-2 h-full rounded focus:outline-none
        focus:shadow-outline cursor-pointer"
        aria-label="ver imágen"
        role="button"
        on:click|preventDefault={e => (location.hash = `#/groups/${groupId}/homeworks/${homeworkId}/resources#${index}`)}
      />
    {/each}
  </div>
{/if}
